package ghhx

import (
	"net/http"
	"crypto/tls"
//	"bytes"
)

func DeleteTable (name string) (*http.Response, error){
	url := "http://localhost:8080/"  + name + "/schema"

	req, err := http.NewRequest("DELETE", url, nil)
	req.Header.Set("Content-Type", "text/xml")
	req.Header.Set("Accept", "text/xml")

	tr := &http.Transport{
		TLSClientConfig: &tls.Config{InsecureSkipVerify: true},
	}

	client := &http.Client{Transport: tr}
	resp, err := client.Do(req)
	if err != nil {
		return nil, err
	}
	defer resp.Body.Close()

	return resp, nil
}
